Bug 4169 - неправильный файл menu
: неправильный файл menu
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/supertux)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-05-15 16:21 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-15 16:21:45
Файл меню из supertux-0.1.0-alt1.i586.rpm валит update-menus (видно с ключом
-n)
и меню рушатся.
------- Comment #1 From 2004-05-16 15:58:08 -------
Fixed in alt2, uploaded to incoming 
------- Comment #2 From 2004-06-02 17:19:30 -------
Я смотрю на update-menus -v и вижу, что по-прежнему есть сообщение об ошибке
(alt2). Ещё раз дома всё проверю, если я не ошибся, то переоткрываю.
------- Comment #3 From 2004-06-07 16:16:25 -------
Подтверждаю. Валится с диагностикой:

[taf@metamorph taf]$ update-menus -n
/usr/lib/menu/supertux: line 1: syntax error near unexpected token `supertux'
/usr/lib/menu/supertux: line 1: `?package(supertux): needs="x11"
section="Games/Arcade" title="SuperTux - SuperMario like game"
icon="penguin.png" command="supertux" longtitle="SuperTux - SuperMario Like Game"'
Execution of /usr/lib/menu/supertux generated no output or returned an error.
------- Comment #4 From 2004-06-07 16:29:46 -------
Важный момент: update-menus при этом завершает работу? Если да, то ничего не
трогайте и дайте пожалуйста знать в #4179.
------- Comment #5 From 2004-06-18 16:14:32 -------
$ rpm -q supertux
supertux-0.1.0-alt2
$ update-menus -v
[...]
/usr/lib/menu/supertux: line 1: syntax error near unexpected token `supertux'
/usr/lib/menu/supertux: line 1: `?package(supertux): needs="x11"
section="Games/Arcade" title="SuperTux - SuperMario like game"
icon="penguin.png" command="supertux" longtitle="SuperTux - SuperMario Like Game"'
Execution of /usr/lib/menu/supertux generated no output or returned an error.
------- Comment #6 From 2004-06-18 16:53:43 -------
Нужно снять права на исполнения с файла /usr/lib/menu/supertux, 
чтобы не было ошибки в меню 
------- Comment #7 From 2004-07-06 22:23:45 -------
исправлено в supertux-0.1.1-alt1
------- Comment #8 From 2004-10-29 11:57:21 -------
Игры должны находиться в группе Amusement, 
а данная находится в Games. 
------- Comment #9 From 2004-12-15 15:21:08 -------
Давно исправлено.